Bug 605841

Summary: libvirt confused by removal and creation of vm with same name
Product: [Fedora] Fedora Reporter: Roland McGrath <roland>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: aquini, berrange, clalance, crobinso, hbrock, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-10 13:46:35 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Roland McGrath 2010-06-18 18:30:32 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.In virt-manager, GUI, create a new VM with the wizard.
  I used an NFS install of Fedora 13 for x86_64.
  Pick name "bugtest3", leave all other defaults until wizard step 5.
2.In step 5, select "Customize configuration before install" checkbox
3.In configuration editor, select Memory and type 2048 in "Maximum Allocation" box, then hit "Finish install" button.
4.After GUI anaconda starts up in the VM, hit "force off" menu item.
5.Close viewer window.
6.Delete VM with context menu in manager window, and select "Delete associated storage" checkbox, submit.
7.Repeat from step 1 with everything entered identically in the wizard.
Actual results:
virt-manager pops up error window with backtrace shown below.
The VM is actually started running correctly, but virt-manager doesn't see it.
If I manually disconnect/reconnect to hypervisor, it sees the new VM.

Expected results:
No error, new VM displayed normally.

Additional info:

Unable to complete install '<class 'libvirt.libvirtError'> Domain not found: no domain with matching uuid '42418b5c-ffb3-5bb6-2818-08c243db157c'
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1562, in do_install
  File "/usr/share/virt-manager/virtManager/connection.py", line 1445, in tick
    self.vms, self.activeUUIDs) = self._update_vms()
  File "/usr/share/virt-manager/virtManager/connection.py", line 1404, in _update_vms
    vm = vmmDomain(self.config, self, rawvm, uuid)
  File "/usr/share/virt-manager/virtManager/domain.py", line 1177, in __init__
  File "/usr/share/virt-manager/virtManager/domain.py", line 1902, in _update_status
    info = self.get_info()
  File "/usr/share/virt-manager/virtManager/domain.py", line 1212, in get_info
    return self._backend.info()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 649, in info
    if ret is None: raise libvirtError ('virDomainGetInfo() failed', dom=self)
libvirtError: Domain not found: no domain with matching uuid '42418b5c-ffb3-5bb6-2818-08c243db157c'
Comment 1 Roland McGrath 2010-06-18 18:31:46 EDT
Oh, forgot to mention, this virt-manager is started as root (under sudo in a normal user GNOME session).  The only connection is qemu:///system, the qemu:///session connection was deleted first.
Comment 2 Cole Robinson 2010-11-17 18:22:16 EST
I'm pretty sure this boils down to an issue with libvirt caching domain objects which are keyed by name rather than UUID. I know danpb has a patch series upstream that will eventually address this. Reassigning to libvirt
Comment 3 Bug Zapper 2011-06-02 06:19:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Cole Robinson 2011-06-10 13:46:35 EDT
This is fixed in F15 IIRC, so closing as CURRENTRELEASE. The hash table refactoring is unlikely to be backported to f14